import torch
from torch.utils.data import Dataset

class PCG_Dataset(Dataset):
    def __init__(self, features, features_demog,labels):
        self.x_data = features
        self.x_data_demog = features_demog
        self.y_data = labels
        self.len = len(features)

    def __getitem__(self, index):
        feature = self.x_data[index]
        features_demog = self.x_data_demog[index]
        label = self.y_data[index]

        x = torch.from_numpy(feature).float()
        x_de = torch.from_numpy(features_demog).float()
        y = torch.from_numpy(label).float()
        return x,x_de, y

    def __len__(self):
        return self.len
